package org.wcs.serve.service.intf;

import jakarta.servlet.http.HttpServletRequest;
import org.springframework.web.servlet.mvc.method.annotation.SseEmitter;
import org.wcs.model.vo.custom.BaseChartsDataItem;
import org.wcs.model.vo.custom.MultilineLineChartData;
import org.wcs.model.vo.serve.AppServeDataResponse;
import org.wcs.model.vo.serve.sys.QuerySystemInfoVo;

import java.util.List;

public interface ISystemService {

    AppServeDataResponse<QuerySystemInfoVo> querySystemInfo(HttpServletRequest request);
    SseEmitter acceptInfo();
    AppServeDataResponse<List<BaseChartsDataItem>> queryStockUsage(HttpServletRequest request); // 查询库存使用情况
    AppServeDataResponse<List<BaseChartsDataItem>> queryTodayInOutCount(HttpServletRequest request); // 获取今日出入库数量
    AppServeDataResponse<List<BaseChartsDataItem>> queryDeviceErrorCountDay7(HttpServletRequest request); // 获取近七天设备故障数量
    AppServeDataResponse<MultilineLineChartData> queryInOutCountDay7(HttpServletRequest request); // 获取近七天出入库数量
}
